<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_4c510e5adc736" . "8560eb3dd6ed42" . "9e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3Nfc" . "mVzcG9uc2UucGhw"), "me" . "ss" . "ag" . "e" => base64_decode("bWVzc2" . "FnZQ=="), "_fe2579cea630be3ef73eca" . "a47a26a59f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21hcmtfYW" . "RkZWQ="), "ur" . "l" => base64_decode("dX" . "Js"), "titl" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "_b93155ab570822d94f8" . "0f2b49acbdcde" => base64_decode("dXJsZGVj" . "b2Rl"), "_a62d761f3e831f" . "f9d9da39f9c26ec" . "ddc" => base64_decode("Li4vY29tbW9uL2NvcmUucG" . "hw"), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a62d761f3e831ff" . "9d9da39f9c26ecdd" . "c"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b93155ab5" . "70822d94f8" . "0f2b49acbd" . "cde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b93155ab570822d94f80f2b49a" . "cbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["titl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_fe2579cea630" . "be3ef73ecaa47" . "a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["messa" . "ge"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4c510e5adc7368560eb3dd6ed429e5c" . "5"];